<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Certificate_Type.aspx.cs"
    Inherits="RM.Web.Training.Certificate.Certificate_Type" %>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title><%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Certificate_classification")%></title>
    <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <link href="/Themes/Scripts/TreeView/treeview.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/TreeView/treeview.pack.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
    <script type="text/javascript">
        //初始化
        $(function () {
            divresize(29);
            treeAttrCss();
            GetClickValue();
        })
        //点击获取部门ID
        function GetClickValue() {
            $(".strTree li div").click(function () {
                var idList = [];
                //子目录 
                $(this).parent().find("span").each(function () {
                    var html = $(this).html();
                    if (html) {
                        if (html === '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Null")%>') {
                            return false;
                        }
                        idList.push('\'' + $(this).html() + '\'');
                    }
                });
                var path;
                if (idList.length < 1) {
                    path = 'Certificate_List.aspx';
                } else {
                    path = 'Certificate_List.aspx?tId=' + idList.join(',');
                }
                window.parent.frames["target_right"].location = path;
                Loading(true);
            })
        }
    </script>
    <style type="text/css">
        .strTree li ul { display: none; }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div class="btnbartitle">
        <div>
           <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Certificate_classification")%>：
        </div>
    </div>
    <div class="div-body">
        <ul class="strTree">
            <%=strHtml.ToString()%>
        </ul>
    </div>
    </form>
</body>
</html>
